Revert "norsk bokmål" -> "norsk" change
Closed, InvalidPublic

Description

Interlanguage links to the Norwegian (bokmål) Wikipedia used to say "norsk bokmål" until a few days ago, when it was changed to "norsk". I susepct that it's this change that caused it: 0d82d154476b

There are two written standards for the Norwegian language: Bokmål and nynorsk. By naming the bokmål links as just "Norwegian", we imply that bokmål somehow is more proper Norwegian than nynorsk. The bokmål Wikipedia community disapproves of the change (see the Norsk og nynorsk (sic) thread at the bokmål Village Pump), we can also assume that the nynorsk Wikipedia community will disapprove.

Kjetil created this task.Aug 18 2017, 9:03 PM
Restricted Application added subscribers: Danmichaelo, jhsoby, Aklapper. · View Herald TranscriptAug 18 2017, 9:03 PM

Wikipedia screenshot of how it is after the change:

Kjetil updated the task description. (Show Details)Aug 18 2017, 9:14 PM
jeblad added a subscriber: jeblad.EditedAug 18 2017, 9:32 PM

No, absolutely not! The language code "no" (or "nor") is for the macro language Norwegian, not for the subset Bokmål. The code "nb" (or "nob") is the one for Bokmål. The mess described above is because of the projects use of the wrong prefix. Reverting the change (rMW0d82d154476bbc6adbd015072c6c90616ea8cdea) will recreate a wrong mapping on all projects that use the "no" code, not only correct the wrong mapping on nowiki. The correct fix would be to change the prefix at nowiki.

I would say close this with a "deny" (ie. keep the current state) or mark it as an "invalid" (ie. reopen as a request for change of prefix).

See also Codes for the Representation of Names of Languages – Alpha-3 codes arranged alphabetically by the English name of language

jeblad added a comment.EditedAug 18 2017, 10:42 PM

If I'm not completely mistaken, I'll guess that sites table#site language is "no", and that is the reason for nowiki showing up as "norsk" in the sidebar.

(The script maintenance/populateSitesTable.php uses the API for site matrix, which reports language code "no", which is used by Wikibase client for the sidebar. But changing language code might create problems with joins by the language links table.)

Might ask Aude or Jeroen about this.

Orland added a subscriber: Orland.Aug 19 2017, 1:08 PM

This is obviously a part of a larger discussion between norwegian bokmål og norwegian nynorsk, both IRL and within the Wikipedia community, and implies also into a latent discussion about wheether no:wp should be moved to nb:wp.

Treating wp:no as 'proper norwegian' and wp:nn as a 'subset of proper norwegian' would obviously be unjust.

While this (no:wp/nb:wp etc) might or might not be solved in the future, it is IMO a too big question to be solved from a mere technical point of view, and as Kjetil says: it should be reverted to previous standard.

This task is about a revertion of a change that corrected the language names. The code "no" is not a code for "Bokmål", it is a code for "Norwegian".

A single projects abuse of a wrong code should not be enforced on other projects. This is a project-specific error on nowiki, and should be isolated to nowiki, not propagated into other projects.

jeblad added a comment.EditedAug 20 2017, 1:33 AM

Note that there are two other projects for Norwegian Bokmål; nowiki, nowiktionary, and wikiquote. Those have counterprojects for Nynorsk. There are also three projects with correct use of Norwegian; nowikinews, nowikibooks, and nowikisource. Forcing "no" to "Norsk bokmål" would perpetuate the error from nowiki to the three legitimate projects that use the macro code.

The three legitimate projects are Wikinews (n:Wikinytt:Målnøytralitet-nb), Wikibooks (b:Wikibøker:Språkform), Wikisource (s:Wikikilden:Hva er Wikikilden?#Språk og oversettelser),

This issue is damaging for the Wikipedia community in Norway. So either it has to be rolled back as quick as possible, or if that is not possible, then we have to change from no.wikipedia.org to nb.wikipedia.org

So if this change is not possible, we need to know that now, in order to arrange for a change from no.wikipedia.org to nb.wikipedia.org and I repeat myself in stating that the language question is very touchy in Norway, and we can not live with what is now implied by the language link "Norsk", that Wikipedia in Bokmål/Riksmål is representing all of the Norwegian language.

Regarding a change to nb.wikipedia.org it should also be noted that this is very contested among the contributors, so if a change is the only outcome its clear that we will have lots of discussions and probably also some contributors leaving the project.

Semikolon added a subscriber: Semikolon.EditedAug 20 2017, 6:43 PM

TL;DR: Norwegian has to written standards: bokmål and nynorsk. no.wikipedia.org is Wikipedia for Norwegian bokmål, and it should therefore be called Norsk bokmål as well. Calling no.wikipedia.org Norsk gives the impression that bokmål is Norwegian, while nynorsk is some anomaly. This is not correct, because both are official standards and considered equal.

The ideal solution would be to change the prefix from no to nb, which would be the correct one based on what no.wikipedia.org actually is. Norwegian has to written standards, bokmål and nynorsk, and no.wikipedia.org covers only bokmål (and riksmål, an unofficial norm which more or less corresponds to a subset of bokmål). The correct prefix for bokmål would be nb. The prefix for nynorsk is nn, and nynorsk is also covered by nn.wikipedia.org. The prefix no, on the other hand, corresponds to the Norwegian language as a whole. Since no.wikipedia.org only covers bokmål, not Norwegian in its entirety, this is unfavorable.

This ideal solution seems to be far from being implemented, however, due to lack of consensus for such a drastic change after so many years. Until such consensus is reached, I think the right thing to do would be to go back to Norsk bokmål as the label for no.wikipedia.org. Although labeling no.wikipedia.org as Norsk is technically correct -- the prefix no corresponds Norwegian, which is called "norsk" in the Norwegian -- it is de facto wrong, because no.wikipedia.org covers only bokmål. I think this label should reflect what this project actually is although the prefix is technically wrong, for two main reasons: firstly because it would be more informative to the reader, and secondly because bokmål vs nynorsk is a sensitive issue in Norway. Bokmål has a very dominant position in terms of usage -- about 90 % of Norwegians use bokmål -- but both bokmål and nynorsk are official standards and therefore equal. Wikipedia should reflect their equal status. By calling one Norsk and the other Norsk nynorsk we do the exact opposite by implying that bokmål is the norm while nynorsk is some anomaly.

I renamed be-x-old to be-tarask a couple of years ago and there are still unfixed problems with it (e.g. T111822, T112426, T111853, T111852). I'm not sure it's a good idea to be considering an no -> nb rename right now

I tried to tell the people at nowiki that the label is not used solely for them, but several wikis, and that some has a legitimate use of the code "no". Those wikis should not be forcibly named "norsk bokmål" just because a fault at nowiki.

Anyhow, it should be possible to fix the language code without a complete rename. It would probably include both the sites and langlinks table.

There is an urgent need to find out if this change can be rolled back. It has been working well for over 15 years, if it can not be rolled back, then there should be a good explanation from someone with responsibility for this mess.

If its not possible to roll back, then we need a guarantee that change from no.wikipedia.org to nb.wikipedia.org will not give the more than 30 million pageviews any problem. Jeblad's vague "it should be possible..." is not in any way sufficient, as Krenair writes above regarding a different rename it seems this is not in any way straightforward.

Semikolon added a comment.EditedAug 21 2017, 12:16 AM

Although I consider changing the no.wikipedia.org to nb.wikipedia.org the best solution in an ideal world, I'm only in favor of such a change if this does not cause any problems for the project in terms of dead links and such. That would cause the project too much damage. If these problems do arise, the best solution IMO is to revert the label from norsk to norsk bokmål. If we can do this without causing problems for other Norwegian projects using the no code legitimately, that would be gold. But even if that's impossible, I still think chaning the label back to norsk bokmål will be preferable; those other projects are too small compared to no.wiki to outweigh the problems caused by calling no.wiki the Norwegian Wikipedia and nn.wiki the Norwegian nynorsk Wikipedia. As mentioned before, this issue is very sensitive in Norway and if we are limited to next-best solutions, I think this will be the one causing the least harm.

Although I consider changing the no.wikipedia.org to nb.wikipedia.org the best solution in an ideal world, I'm only in favor of such a change if this does not cause any problems for the project in terms of dead links and such.

If it were to be done then you'd get redirects e.g. https://be-x-old.wikipedia.org/wiki/Main_Page goes to https://be-tarask.wikipedia.org/wiki/Main_Page

those other projects are too small compared to no.wiki to outweigh

you don't get to decide that, it's up to the developers and those other projects.

To Krenair: Regarding redirects, if no.wikipedia.org redirects to nb.wikipedia.org - what is then the use of changing? Isn't the whole idea of change to make it correct, related to some standard for languages, and so also to free no.wikipedia.org for some other, unspecified projects?

And with no redirects, does that not mean that many pages that links to various articles on the Norwegian Wikipedia in Bokmål/Riksmål then will be broken? I am not a developer, I have just contributed to this project since 2004, but I almost daily see broken links to other sites. For a user its very annoying, and if this change results in loads of broken links to Wikipedia that should be a strong argument against such a move.

Nsaa added a subscriber: Nsaa.EditedAug 21 2017, 9:43 AM

The no.wikipedia.org Community have earlier strongly opposed a move of the project to nb.wikipedia.org (see a list of reason why not at https://no.wikipedia.org/wiki/Bruker:Nsaa/Prefiks#Nei_til_flytting_fra_nowiki_til_nbwiki ). As other points out we have used the Norwegian bokmål description as a shorthand for Norwegian bokmål/riksmål (it's a long and enduring language struggle between different parties. Our wikis language is defined by two parties Språkrådet (https://en.wikipedia.org/wiki/Language_Council_of_Norway) that manage Bokmål/Nynorsk and Det Norske Akademi for Språk og Litteratur (https://en.wikipedia.org/wiki/Norwegian_Academy_for_Language_and_Literature) that manage Riksmål). Making changes cause a lot of noise, so this should not be done). I support this reversal since it's making so much noise. no.wikipedia.org covers the norwegian language, but after nynorsk left us (back in 2004), do not make us only bokmål. We're still covering Norwegian language on our wiki (but since nn left us, we have in cooperation with them not allowed nynorsk at no so we will not compete on the same scarce recourses - nynorsk is only written daily/good by a small percentage of the norwegian population).

So I support the ticket 'Revert "norsk bokmål" -> "norsk" change'. This has worked for 15 years and should not just be changed due to technicalities. We have worked up ownership of this for 15 years.

See also this comment: https://phabricator.wikimedia.org/feed/6338011503493995718/ in https://phabricator.wikimedia.org/T147164

those other projects are too small compared to no.wiki to outweigh

you don't get to decide that, it's up to the developers and those other projects.

I did not mean that I or the no.wiki community have the right to make that decision ourselves. What I meant was that we should consult the other relevant projects and hear what they have to say -- and in that discussion I would put forward this argument.

Agree with @Orland and @Nsaa above: This is too dramatic a change to be made just on technical grounds.

And yes, it would be ideal if we could align the site prefix with the site language (T147164), but it hasn't been possible to gather consensus for that change – the discussion comes up once a year or so, but the positions are entrenched.

This is a request to break with the ISO 639-1 standard for language codes and their descriptions. Such a revert should not be done, because it is wrong.

The posts from @Semikolon, @Ulflarsen, and @Nsaa about a prefix change is out of scope, they belong in T147164: Site identifier and domain prefix for nowiki should be changed or the more general discussion of m:Requests for comment/Rename no.wikipedia to nb.wikipedia.

Note that general move is stalled on T21986: [DO NOT USE] Wikis waiting to be renamed (tracking) [superseded by #Wiki-Setup (Rename)].

Other than that, +1 to @Krenair on T173602#3536608

Hogne added a subscriber: Hogne.Aug 22 2017, 2:03 PM

This is Wikipedia and should be correct, even though some people don't like the facts.
According to https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes no is Norwegian (Norsk) and nb is Norwegian Bokmål (Norsk Bokmål).

I'm in favour of the m:Requests for comment/Rename no.wikipedia to nb.wikipedia.
As long as no.wikipedia.org articles links to nb.wikipedia.org articles I don't see what the technical implications will be. nb.wikipedia.org links to no.wikipedia.org today. see f.ex. https://nb.wikipedia.org/wiki/Bokmål.

Disclaimer: I'm writing this as a Nynorsk Wikiepda Wikipedian and Administrator. I'm Hogne Neteland, also chair of Wikimedia Norway, but this issue is not discussed in the Board nor the Organisation, and therefore this is not anything I can argue for as chair!

Regarding changing to nb.wikipedia.org I am all for it if that is what needs to be done so we can correct this problem (that Wikipedia in Bokmål is presented as "Norsk", somehow implying that it stands above Wikipedia in Nynorsk).

But if we are going to correct it then we obviously can not have a redirect from no.wikipedia.org to nb.wikipedia.org - it has to be a clean change so it is obvious for all that no.wikipedia.org is changed. If there is going to be an indefinite redirect, then this whole change makes no sense.

Again, this is a hot topic in Norway and we can not live with that this is not corrected (as stated at the end of my first sentence). It has already created quite a bit of discussions and given the history of language struggle in Norway we could have much, much more.

@Hogne The technical implications for a domain redirect from no.wikipedia.org to nb.wikipedia.org are virtually non-existing. The problem is the code «no» and how it is dig into some very large database tables. Some users add additional non-technical demands that makes it pretty difficult to do any change, not sure what to do with that. The easiest would probably be to neglect all non-technical requests. The reasoning behind this task is invalid anyhow as it stands, as it can't be done without breaking other projects and standards.

@jeblad : You have already made your points very clear, but when a fix causes great harm it's always an option to revert it until a better fix has been found (one that can handle both the "nowikipedia" case and the "nowiktionary" case) or until a wiki renaming is possible.

Haros added a subscriber: Haros.Aug 23 2017, 8:27 PM

The objective of this task is to let users see norsk bokmål as the reference to the no-wiki project.

If we ignore the different means to achieve that and the discussion on what the correct way to achieve that is, we are left with the message from the Norwegian projects that it is urgent to get norsk bokmål back.

It is urgent, and norsk bokmål has been an accepted name for many years. Changing the prefix from no to nb in no.wikipedia will cause discussion as can easily be seen here. Changing the language code from no to nb should not, if, as I believe, it can be achieved without changing the prefix. Then it is possible to deal with a possible change of prefix as a separate issue.

jeblad added a comment.EditedAug 23 2017, 10:19 PM

…could be I've missed some points…

A quick quick-fix; change "nn" from "norsk nynorsk" to "nynorsk" and "nb" from "norsk bokmål" to "bokmål" until a proper fix emerge. The codes and their names would still be valid, and the languages in the sidebar would reflect the present use pretty well. It will although present a non-trivial problem on what to call "nb" and "nn" in some languages. (Is this feasible? @siebrand?)

A not so quick quick-fix; note that all discussion is about what a few people "feel" when they see the autonym in the sidebar. If the names could use and expose the system messages, then it would be possible to make local translations for special cases. If one argument is the language code (and another is the target code?) then a message could use the language parser function with the language code as default. It would then be easy to add a switch clause and set "no" explicitly at nnwiki and nowiki to something else, for example "klingon", or the "no" code could be translated to "nb" giving "norsk bokmål". It will although be somewhat heavier than the present implementation. (This would imply changes in Wikibase? @daniel? @aude?)

Or better yet, just leave it as it is…

jeblad added a subscriber: aude.Aug 23 2017, 10:42 PM
Hogne added a comment.Aug 24 2017, 8:02 AM

@Danmichaelo There has been a lot of harm in the Nynorsk society about the prior solution as well. I want this to be correct.

In the initial description @Kjetil says that he assumes that the Nynorsk Wikipedia community will disapprove (And is in favour of this request).
I certainly can confirm that the Nynorsk community disapprove that Bokmål is using the no prefix, but there are no wish from the Nynorsk community to fix this by reverting 0d82d154476b.

In fact Nynorsk Wikipedia already uses nb prefix to Bokmål Wikipedia, and by 24th August 2017 it is the only project that writes this Wikipedia as "Norsk bokmål". (Ses picture)
I encourage all other Wikimedia projects to do as Nynorsk Wikipedia and change their link from no to nb. This works. (Even when the Bokmål community is reluctant to fix the core problem).


Disclaimer: I'm writing this as a Nynorsk Wikiepda Wikipedian and Administrator. I'm Hogne Neteland, also chair of Wikimedia Norway, but this issue is not discussed in the Board nor the Organisation, and therefore this is not anything I can argue for as chair!

Urbanecm triaged this task as Lowest priority.
Urbanecm changed the task status from Open to Stalled.
Urbanecm added a subscriber: Urbanecm.

Marking as stalled, lowest as this will require number of discusions.

Abbe98 added a subscriber: Abbe98.Aug 24 2017, 9:28 PM
Nsaa added a comment.EditedAug 25 2017, 9:32 AM

@Hogne the no.wikipedia.org is not covered by bokmål. We cover two forms. Bokmål that is defined by "Språkrådet" (https://en.wikipedia.org/wiki/Language_Council_of_Norway) and riksmål defined by Det Norske Akademi (https://en.wikipedia.org/wiki/Norwegian_Academy_for_Language_and_Literature) This is two different and independent entities that we don't know what will do in the future. Today there is a HUGE difference between these two forms of language in what's allowed to write. In the bokmål norm you can nearly write nynorsk.

Examples (from https://no.wikipedia.org/wiki/Bruker:Nsaa/Prefiks#Argument )

  1. «Kvinnen ble oppfordret til selv å legge alle kortene på bordet med hensyn til hva hun drev med hjemme i fritiden sin.» bokmål og riksmål<ref name="Guttu_1997_Riksmalsf">[http://www.riksmalsforbundet.no/qa_faqs/hva-er-forskjellen-pa-riksmal-og-bokmal/ HVA ER FORSKJELLEN MELLOM RIKSMÅL OG BOKMÅL?]</ref>
  2. «Kvinna blei oppfordra til sjøl å legge alle korta på bordet med omsyn til hva hun dreiv med heime i fritida si.» [[:no:bokmål]]<ref name="Guttu_1997_Riksmalsf" />
  3. «Kvinna blei oppfordra til sjøl å legge alle korta på bordet med omsyn til kva ho dreiv med heime i fritida si.» nynorsk

If someone will start a new project under the nb.wikipedia.org domain using Bokmål only it's up to the Foundation iff they will allow it.

'''no.wikipedia.org''' is one of the biggest Wikipedia projects and can't just be moved to an (incorrect) new address.

This comment was removed by jeblad.
Liuxinyu970226 added a comment.EditedAug 31 2017, 4:55 AM

@Nsaa:

the no.wikipedia.org is not covered by bokmål. We cover two forms.

Too for nnwiki as they have Høgnorsk articles, and wondering where's the Riskmål articles example?

This is two different and independent entities that we don't know what will do in the future.

There's a likely case that, in the de facto Norman Wikipedia, Malaysian peoples can misunderstanding as Narom Wikipedia, cf. T25216 and we also don't know how to handle both Norman and Narom.

Today there is a HUGE difference between these two forms of language in what's allowed to write.

And there's more and more differences between Yugoslavic languages, but we still keep shwiki for at least several decades.

If someone will start a new project under the nb.wikipedia.org domain using Bokmål only it's up to the Foundation iff they will allow it.

So let someone re-start Moldovan? re-start Klingon? re-start so-called Siberian?...

'''no.wikipedia.org''' is one of the biggest Wikipedia projects and can't just be moved to an (incorrect) new address.

Not very big to me, its articles are less than Arabic, Catalan, Persian and Ukrainian, total number of pages is even less than Indonesian, Korean, Portuguese, Romanian and Turkish; full number of users less than Simple English while active users are even less than Czech, Finnish, Hebrew and Hungarian; and only have one local file (the Wiki.png which according to Non-free content/taking stock: "Note on Wiki.png: InitialiseSettings.php#L479, shows what file is used for the logo in each project. As of 2016-11-29 the URL for Wikipedias is mostly https://commons.wikimedia.org/w/static/images/project-logos/XXwiki.png with XX being the project language code. Unless a project uses $stdlogo, the logo is hosted on commonswiki." Means that that that even can be safety dropped.)

Please also note that the duckduckgo, one of the most safety search enginee, also don't use no directly, they splitted Norwegian to a bokmål (nb) one and a nynorsk (nn) one.

You say that this panorama is unfair for you, unfortunately most of ISO/IEC standards are too having such issues, so if you don't agree the macrolanguage status of no, just say good bye to Ethernet.

jeblad added a comment.EditedSep 16 2017, 6:59 PM

There are 44 articles at nnwiki in Høgnorsk (w:nn:Kategori:Høgnorskartiklar. Those articles are in a very archaic language, even for Nynorsk. I have tried to figure out how many articles there are at nowiki in Riksmål, and the more stringent checks indicate a two-digit number. If I ease the checks I get a three-digit number, and with extremly weak tests four-digits.

Høgnorsk is not valid Nynorsk, but as Bokmål is defined now almost all of Riksmål is valid. In my opinion it could be better to use an ad hoc variant of Bokmål and Nynorsk for those two language forms, and make it possible to tag articles with those as variants, and let the sites use site language nn and nb. That would make it possible to use no as a proper macro code.

On the downside it would probably imply that browsers turn off spellcheckers as default.

Nsaa added a comment.Sep 16 2017, 9:35 PM

@jeblad Mostly every article on no.wikipedia.org can be regarded as riksmål as normed by https://en.wikipedia.org/wiki/Norwegian_Academy_for_Language_and_Literature so your claims are not correct at all. Riksmål is more stringent than Bokmål, and the last one allows nearly everything. Even writing nearly Nynorsk due to the history of "samnorsk" (the previously official language policy aiming to merge Bokmål with Nynorsk).

Riksmål is the de facto written language in Norway, used by most large newspapers and by the majority of the population as a written standard. Comparing it to høgnorsk is plain out ridiculous. It has no similarities what so ever to riksmål.

In this case the important case is that riksmål is not bokmål since they are maintained by two bodies independent of each other. One has long been a political instrument (https://en.wikipedia.org/wiki/Language_Council_of_Norway), the other an independent Academy (https://en.wikipedia.org/wiki/Norwegian_Academy_for_Language_and_Literature) modelled after the Swedish Academy and the French Academy.

Just the statement in the ticket it's not correct if you see on the de facto situation: "There are two written standards for the Norwegian language: Bokmål and nynorsk.".

Sorry, but Riksmål is an unofficial deviation from the established standard for Bokmål. You should instead use time to try to identify the actual articles that is written in correct Riksmål at nowiki. Note that Riksmål does not even have a valid language code.

The statement that "Riksmål is the de facto written language in Norway, used by most large newspapers and by the majority of the population as a written standard" is simply wrong. Period.

A further discussion about what constitutes correct Riksmål is outside the scope of this technical discussion. Take the discussion to a blog, or some pages at Riksmålsforbundet.

Nsaa added a comment.Sep 17 2017, 2:06 PM

No this is not a technical issue, it's highly political. I've fully supporting this ticket, so everything could be as it was. Don't do technical changes without informing or involving the communities that has been hit by it.

@Nsaa even if you'd happy to discuss "politiske problemer", you should not raise it up here, as Phabricator SHOULD ONLY discuss what something is technical possible or not, not anything that is clearly irrelevant

I've fully supporting this ticket, so everything could be as it was.

So you support marking Bokmål tags on Wikidata, on Meta, on translatewiki.net as no rather than nb?

Don't do technical changes without informing or involving the communities that has been hit by it.

Still, please read the code of conduct, it fits the first criteria of #Unacceptable behavior

Liuxinyu970226 added a comment.EditedSep 17 2017, 2:25 PM

Anyway, I AM THE WORLD'S MOST STRONGLY OPPOSING THIS TASK, the task which aims to say "shame" to ISO/IEC.

I would suggest just marking this as Invalid, since it has awesome scales of humanization-breaking.

Nsaa added a comment.Sep 17 2017, 7:19 PM

Shame to ISO/IEC? We do not write YYYY-MM-DD even if this is a ISO 8601 standard. Because ISO is just a standard. It's not the law. It's a wish from the Community at no.wikipedia.org that the sidebars at other Wikis points to Norsk bokmål (or Norsk bokmål og riksmål), not only Norsk, as it has since around 2004. This is the reality, not a technical issue. Somebody did a change without involving the no.wikipedia.org-community and the reality is that this should be set back.

The action it proposes goes against use of public standards, so even if it is possible to do the proposed action it should not be done. I would say it is a clear "decline", but other may have other opinions.

In the same way that biography subjects can't dictate the content of their own biographies on Wikipedia, the nowiki community does not own its language code. The language code means what it means, regardless of what some of us want it to mean.

Shame to ISO/IEC? We do not write YYYY-MM-DD even if this is a ISO 8601 standard. Because ISO is just a standard. It's not the law. It's a wish from the Community at no.wikipedia.org that the sidebars at other Wikis points to Norsk bokmål (or Norsk bokmål og riksmål), not only Norsk, as it has since around 2004. This is the reality, not a technical issue. Somebody did a change without involving the no.wikipedia.org-community and the reality is that this should be set back.

So you believe the nowikibooks, nowikinews and nowikisource are bokmål only?!?!?!

By choosing not to roll back the new interwiki name, whoever is in charge of software development and operations decides to ignore pretty clear consensus at the Norwegian (bokmål) Wikipedia.

The interwiki name was changed from “norsk” to “norsk (bokmål)” 12 years ago, following a vote at no.wikipedia. 28 users voted for “norsk (bokmål)”, and only 4 users voted for keeping “norsk”. Sure, it's been 12 years, but I doubt that one would get a different result these days.

I find the lack of communication and accountability appalling here. I understand that it's easy to make a mistake when updating the software or configuration, I don't blame anyone. But just ignoring the task where the community asks for the mistake to be corrected is very unimpressive. At some point, we in the no.wikipedia community have no other choice but to say “the engineering team has been informed about the problem, and they choose to do nothing… ¯\_(ツ)_/¯ What more can we do?”, and then move back to more constructive tasks like improving our encyclopedic content. An incorrect interwiki name looks silly, but is not a disaster.

Soulkeeper added a comment.EditedSep 21 2017, 3:55 PM

What significant parts of the nowiki community refuse to acknowledge is that the error lies not in using the label "norsk" for the language code "no", but in using the language code "no" for "norsk (bokmål)". If everyone was clear on this technical but crucial little detail, the solution and the way forward would be obvious to all, and completely uncontroversial. Alas, the solution eludes us, and the way forward is cloudy and riddled with controversy.

When a bunch of people refuse to inform themselves about an issue that they also insist on voicing strong opinions about, it is not realistic to expect that they will come up with a viable solution. The nowiki community do not wish to "be bothered with techinicalities", and they do not seem to realize - or want to realize - that this issue is a techicality.

Opinions are like * -- the gamut of problems that they are able to solve is rather limited. I hope that the nowiki community will one day realize that when throwing opinions at a problem does not help, doubling down on the opitions is probably not going to help much either.

Personally I'm getting quite close to the point of doing something more useful and entertaining, like maybe gouging my eyes out with forks, but I still nurture some small hope that the nowiki community will somehow get ther collective head out of their collective ... opinions ... and stop making a fool out of themselves.

jeblad closed this task as Invalid.Sep 21 2017, 7:24 PM

Closing this as it will imply to break with BCP-47. Choosing "invalid" as per T173602#3613072

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptSep 21 2017, 7:24 PM